.TH "mca_ptl_mx_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_mx_component_t \- Myricom MX PTL component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_mx.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase PTL component \fP"
.ti -1c
.RI "int \fBmx_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "int \fBmx_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "int \fBmx_free_list_inc\fP"
.br
.RI "\fInumber of elements to growing free lists by \fP"
.ti -1c
.RI "int \fBmx_prepost\fP"
.br
.RI "\fInumber of preposted recvs \fP"
.ti -1c
.RI "int \fBmx_debug\fP"
.br
.RI "\fIdebug level \fP"
.ti -1c
.RI "uint32_t \fBmx_filter\fP"
.br
.RI "\fIfilter assigned to application \fP"
.ti -1c
.RI "uint32_t \fBmx_num_ptls\fP"
.br
.RI "\fInumber of MX NICs available to app \fP"
.ti -1c
.RI "uint32_t \fBmx_max_ptls\fP"
.br
.RI "\fImax number of MX NICs to use \fP"
.ti -1c
.RI "\fBmca_ptl_mx_module_t\fP ** \fBmx_ptls\fP"
.br
.RI "\fIarray of available PTL modules \fP"
.ti -1c
.RI "ompi_free_list_t \fBmx_send_frags\fP"
.br
.RI "\fIfree list of mx send fragments \fP"
.ti -1c
.RI "ompi_free_list_t \fBmx_recv_frags\fP"
.br
.RI "\fIfree list of mx recv fragments \fP"
.ti -1c
.RI "opal_hash_table_t \fBmx_procs\fP"
.br
.RI "\fIhash table of procs \fP"
.ti -1c
.RI "\fBopal_list_t\fP \fBmx_pending_acks\fP"
.br
.RI "\fIqueue of pending sends \fP"
.ti -1c
.RI "\fBopal_mutex_t\fP \fBmx_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.in -1c
.SH "Detailed Description"
.PP 
Myricom MX PTL component. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
